import request from '@/utils/request'

// 确认仪表校验
export function handleConfirmInstrumentCalibration(data) {
  return request({
    url: '/pssr/instrumentCalibration/confirmInstrumentCalibration',
    method: 'put',
    data: data
  })
}

// 驳回仪表校验
export function handleTurnDownInstrumentCalibration(data) {
  return request({
    url: '/pssr/instrumentCalibration/turnDownInstrumentCalibration',
    method: 'put',
    data: data
  })
}

// 查询仪校验列表
export function listInstrumentCalibration(query) {
  return request({
    url: '/pssr/instrumentCalibration/list',
    method: 'get',
    params: query
  })
}

// 查询仪校验详细
export function getInstrumentCalibration(id) {
  return request({
    url: '/pssr/instrumentCalibration/' + id,
    method: 'get'
  })
}

// 新增仪校验
export function addInstrumentCalibration(data) {
  return request({
    url: '/pssr/instrumentCalibration',
    method: 'post',
    data: data
  })
}

// 修改仪校验
export function updateInstrumentCalibration(data) {
  return request({
    url: '/pssr/instrumentCalibration',
    method: 'put',
    data: data
  })
}

//
export function updateInstrumentCalibrationBatch(data) {
  return request({
    url: '/pssr/instrumentCalibration/editBatch',
    method: 'put',
    data: data
  })
}


// 删除仪校验
export function delInstrumentCalibration(id) {
  return request({
    url: '/pssr/instrumentCalibration/' + id,
    method: 'delete'
  })
}

// 导出仪校验
export function exportInstrumentCalibration(query) {
  return request({
    url: '/pssr/instrumentCalibration/export',
    method: 'get',
    params: query
  })
}
